'use strict'

exports.__esModule = true
exports.checkOptions = void 0

var _createHttpError = require('./createHttpError')

const checkOptions = (options, allowed, description) => {
  const invalid = Object.keys(options).filter(
    option => !allowed.includes(option)
  )
  if (invalid.length)
    throw (0, _createHttpError.createHttpError)(
      `${description} options invalid: \`${invalid.join('`, `')}\`.`
    )
}

exports.checkOptions = checkOptions
