'use strict'

exports.__esModule = true
exports.checkSchema = void 0

var _graphql = require('graphql')

var _createHttpError = require('./createHttpError')

const checkSchema = schema => {
  if (!(schema instanceof _graphql.GraphQLSchema))
    throw (0, _createHttpError.createHttpError)(
      'GraphQL schema is required and must be a `GraphQLSchema` instance.'
    )
  const schemaValidationErrors = (0, _graphql.validateSchema)(schema)
  if (schemaValidationErrors.length)
    throw (0, _createHttpError.createHttpError)(
      'GraphQL schema validation errors.',
      {
        graphqlErrors: schemaValidationErrors
      }
    )
}

exports.checkSchema = checkSchema
